Bug 1029102 - Operation [prepareForBootstrap] is defined as returning no results, but it returned non-null results
Operation [prepareForBootstrap] is defined as returning no results, but it re...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Operations, Storage Node (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: ER02
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Filip Brychta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 11:42 EST by Filip Brychta
Modified: 2014-12-11 09:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:03:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-11-11 11:42:52 EST
Description of problem:
$Summary

Version-Release number of selected component (if applicable):
Version :	
3.2.0.ER5
Build Number :	
2cb2bc9:225c796

How reproducible:
2/2

Steps to Reproduce:
1. join new storage node to existing cluster

Actual results:
Error in agent log:
2013-11-11 11:32:32,739 ERROR [OperationManager.invoker-1] (rhq.core.pc.operation.OperationInvocation)- Plugin error: Operation [prepareForBootstrap] is defined as returning no results, but it returned non-null results: Configuration[id=0, properties[operationResult=The storage node was succesfully updated is now bootstrapping into the cluster.], rawConfigurations[]]

Expected results:
No errors
Comment 1 Lukas Krejci 2014-08-29 12:44:27 EDT
master:
commit 8420862e00e023377080cb9b224827f7eb6f4d90
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Aug 29 18:42:00 2014 +0200

    [BZ 1029102] StorageNode's prepareForBootstrap operation returns success
    message.

release/jon3.3.x:
commit 8c03465dd5e637409b34292eeb04f6503bef5f89
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Aug 29 18:42:00 2014 +0200

    [BZ 1029102] StorageNode's prepareForBootstrap operation returns success
    message.
    
    (cherry picked from commit 8420862e00e023377080cb9b224827f7eb6f4d90)
Comment 2 Simeon Pinder 2014-09-03 16:31:31 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194
Comment 3 Filip Brychta 2014-09-04 09:17:00 EDT
Verified on
Version :	
3.3.0.ER02
Build Number :	
4fbb183:7da54e2

Note You need to log in before you can comment on or make changes to this bug.